MillionSend Docs

/domains

GET
/domains

Newest first, as on Resend, with cursor pagination: after takes the last id of a page and pages toward older items, before takes the first id and pages back toward newer ones. The team's subdomain of the shared domain, when it has one, is the last row (shared: true).

Query Parameters

limit?integer

Page size, 1-100 (default 20)

Range1 <= value <= 100
after?string

Cursor: id of the last item of the current page; returns the next page. Must be an id this list returned; there is no sentinel value.

Formatuuid
before?string

Cursor: id of the first item of the current page; returns the previous page; same rule as after.

Formatuuid

Response Body

Domains

application/json
  1. response
object*"list"
Value in"list"
data*array<>
has_more*boolean
Example Request
curl -X GET 'https://api.millionsend.com/domains'
Example Response
{  "object": "list",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "status": "string",      "created_at": "string",      "region": "string",      "open_tracking": true,      "click_tracking": true,      "tracking_subdomain": "string",      "capabilities": {        "sending": "string",        "receiving": "string"      },      "receiving_catch_all": true,      "shared": true,      "sending_mode": "open",      "sending_mode_reason": "plan"    }  ],  "has_more": true}